Avisi cloud logo
Maintenance schedules

Get a maintenance schedule for an organisation.

GET
/api/v1/organisations/{organisationSlug}/maintenance-schedule/{maintenanceScheduleIdentity}

Path Parameters

organisationSlug*string
Match^[a-z0-9-_]+$
maintenanceScheduleIdentity*string
Formatuuid

Response Body

Request was successfully processed. The response body contains the requested data.

application/json
  1. response
identity?string
Formatuuid
name?string
clusterCount?integer
Formatint64
windows?array<>
curl -X GET 'https://api.avisi.cloud/api/v1/organisations/string/maintenance-schedule/497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5",  "name": "string",  "clusterCount": 0,  "windows": [    {      "day": "MONDAY",      "startTime": "string",      "duration": 0    }  ]}